/**
 * StockinService.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.service;

import java.util.List;

import com.zds.slms.dao.IStockinDao;
import com.zds.slms.domain.Stockin;

/**
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.slms.service<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-7<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
public class StockinService implements IStockinService {
	// 进货单持久化处理接口
	private IStockinDao stockinDao;

	/*
	 * 进货单查询
	 * 
	 * @see
	 * com.zds.slms.service.IStockinService#findStockin(com.zds.slms.domain.
	 * Stockin )
	 */
	public List<Stockin> findStockin(Stockin stockin) {
		return stockinDao.findStockin(stockin);
	}

	/*
	 * 进货单保存
	 * 
	 * @see
	 * com.zds.slms.service.IStockinService#saveStockin(com.zds.slms.domain.
	 * Stockin )
	 */
	public void saveStockin(Stockin stockin) {
		stockinDao.saveStockin(stockin);

	}

	/*
	 * 进货单删除
	 * 
	 * @see
	 * com.zds.slms.service.IStockinService#deleteStockin(java.lang.String[])
	 */
	public void deleteStockin(String[] stockinId) {
		stockinDao.deleteStockin(stockinId);

	}

	/*
	 * 进货单更新
	 * 
	 * @see
	 * com.zds.slms.service.IStockinService#updateStockin(com.zds.slms.domain.
	 * Stockin)
	 */
	public void updateStockin(Stockin stockin) {
		stockinDao.updateStockin(stockin);

	}

	/**
	 * @return the stockinDao
	 */
	public IStockinDao getStockinDao() {
		return stockinDao;
	}

	/**
	 * @param stockinDao
	 *            the stockinDao to set
	 */
	public void setStockinDao(IStockinDao stockinDao) {
		this.stockinDao = stockinDao;
	}

}
